<!-- ---------------------
    Layout - Style "layout.scss"
    ------------------------>
    <div class="app-screen">
    <!-- Sidebar -->
    <aside
        class="sidebar-left"
        [ngClass]="[sidebarHide === true ? 'mini' : 'extend']">
        <app-sidebar (toggleSidebar)="changeSidebarStatus()" #sidebar></app-sidebar>
    </aside>
    
    <div class="page-wrapper">
        <!-- Topbar -->
        <header class="topbar">
            <app-topbar></app-topbar>
        </header>

        <!-- Content to show -->
        <main class="content-wrapper">
            <div class="container-fluid">
                <router-outlet></router-outlet>
            </div>
        </main>

        <!-- Loading -->
        <ngx-spinner
            name="BASE_SPINNER"
            bdColor="rgba(231, 245, 249, .6)"
            color="#2e3c44"
            size="large"
            type="ball-scale-multiple"
            [fullScreen]="true">
        </ngx-spinner>

    </div>
</div>

<!-- Toast -->
<app-toast></app-toast>

